Edit Order

Edit Order API allows the enterprise to edit specific details for a shipment that has already been manifested.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Payload Example

{
    "awb_number": "20719799",
    "order_type": "PREPAID",
    "courier_partner": 220
}
{
    "awb_number": "999999999",
    "qc_type": "doorstep",
    "courier_partner": 11
}
{
    "awb_number": "20719789",
    "order_type": "COD",
    "cod_value" : 123.50,
    "courier_partner": 3
}
{
    "awb_number": "12345",
    "ewaybill_serial_number":"145908", 
    "invoice_number":"234678",
    "invoice_date":"2021-08-20",
    "edit_order_service":2,
    "courier_partner": 5
}
{
      "awb_number": "<awb>",
      "courier_partner": 1,
      "account_code": "<account_code>",
      "letterhead_base_64": "<base64 png or gif>",
      "signature_base_64": "<base64 png or gif>",
      "pdf_invoice": "<base64 pdf>"
}

Important Links

Run in Postman API Reference

Query Parameters

Field NameData TypeFieldDescription
usernameStringMandatoryUsername of the registered enterprise
keyStringMandatoryUnique license key for the enterprise user

Request Payload

Field NameData TypeFieldDescription
carrier_partnerIntegerMandatoryPartner ID of the carrier partner
order_typeStringMandatoryOrder type of the shipment
  1. COD
  2. PREPAID
awb_numberStringMandatoryThe Air Waybill of the shipment that needs to be edited
qc_typeENUMOptionalThe values it takes
  1. doorstep
  2. null``doorstep denotes Quality Check should be done at the doorstepnull denotes that a Quality Check is not required
skuSTRING

SKU of the item.

If the customer wishes QC on the entire shipment they should ignore this field.

If they wish QC on a specific shipment they should pass the SKU value of the shipment.

cod_valueFloatConditionalAmount to be collected at the doorstep for cash on delivery mode. (Only required when prepaid to cod conversion is being done)
ewaybill_serial_numberStringConditionalEWaybill Serial Number for the shipment.
invoice_numberStringConditionalAn invoice number is a unique identifier assigned to a commercial invoice, which is a document used for billing a shipment of goods
invoice_dateStringConditionalDate of issuance of the invoice of the shipment. (YYYY-MM-DD format only)

Response

The sample response can have the following fields

Field NameData TypeDescription
metaObjectMetadata for the result, e.g. status code, error messages.

Response Meta

Field NameData TypeDescription
statusIntegerStatus code of the response (including, but not limited to HTTP Status codes)
messageStringError message (if any errors) for the request.
successBooleanWhether the request is successful or not.
Query Params
string
required

Enter the username of the clickpost dashboard

string
required

Enter the API key given to you by the clickpost onboarding team

Body Params
json
required
Defaults to { "awb_number": "999999999", "order_type": "PREPAID", "courier_partner": 3 }

Enter the request body

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json